{% extends "base.html" %}
{% load staticfiles %}
{% load like_tags %}
{% load collect_tags %}

{% block title %}
    我的收藏
{% endblock title %}

{% block content %}
<div class="text-center mt-4">
    <h4><b>我的收藏</b></h4>
</div>

<div class="container">
        <div class="d-flex justify-content-center mt-4">
            <form class="form-inline" >

                <label for="search" class="mr-4">搜索</label>
                <input type="text"
                    class="form-control mb-2 mr-sm-2"
                       id="search"
                    name="search"
                    placeholder="搜索..."
                    required
                >
            </form>
        </div>
</div>
<div class="container ml-4">
	{% if search %}
        {% if collections %}
            <h4><span style="color: cadetblue">"{{ search }}"</span>的搜索结果如下：</h4>
            <hr>
        {% else %}
            <h4>暂无<span style="color: cadetblue">"{{ search }}"</span>有关的收藏。</h4>
            <hr>
        {% endif %}
	<HR>
	{% endif %}

	{% if len %}
	<p>收藏数：{{len}}</p>

	{% for collection in collections %}
	<HR>
	<div><!--回答1-->
		{% if collection.content_type == 'answer' or collection.content_type == 'comment'%}
			<span>
                    <i class="fas fa-user" style="color:yellowgreen"></i>
                    {{ collection.object.user }}
                </span>
		{% else %}
		<span>
                    <i class="fas fa-user" style="color:yellowgreen"></i>
                    {{ collection.object.author }}
                </span>
		{% endif %}


		{% if collection.content_type == 'articlepost' %}
        	<p><a href="{% url 'article:article_detail' collection.object.id %}">{{collection.object.title}}</a></p>
		{% elif collection.content_type == 'questionpost' %}
        	<p><a href="{% url 'question:question_detail' collection.object.id %}">{{collection.object.title}}</a></p>
		{% elif collection.content_type == 'answer' %}
			<p><a href="{% url 'question:question_detail' collection.object.question.id %}">回答：{{collection.object.body|slice:'100'}}</a></p>
		{% elif collection.content_type == 'comment' %}
			<p><a href="{% url 'article:article_detail' collection.object.article.id %}">评论：{{collection.object.body|slice:'100'}}</a></p>
		{% endif %}

		<p>
			<span class="mr-2"><i id="like-icon" class="fas fa-heart" style="color:pink;"></i>{% get_likes_num collection.object %}</span>
			<span class="mr-2"><i id="collect-icon" class="fas fa-paper-plane" style="color:cadetblue;"></i>{% get_collect_num collection.object %}</span>
			{% if collection.object.updated %}
			<span class="mr-2">
                    <i class="fas fa-clock" style="color:gray;"></i>
                    {{collection.object.updated|date:'Y-m-d' }}
                </span>
			{% else %}
			<span class="mr-2">
                    <i class="fas fa-clock" style="color:gray;"></i>
                    {{collection.object.created|date:'Y-m-d' }}
                </span>
			{% endif %}</p>
	</div>
	{% endfor %}
	{% else %}
	{% if not search %}
	<h5>还没有收藏哦，快去添加收藏吧~</h5>
	{% endif %}
	{% endif %}
</div>
{% endblock content %}